[Unit]
Description=Skillbox App Container Service
After=docker.service
Requires=docker.service

[Service]
TimeoutStartSec=0
Restart=always
ExecStartPre=-/usr/bin/docker stop myapplication
ExecStartPre=-/usr/bin/docker rm myapplication
ExecStart=/usr/bin/docker run -p 8080:8080 --rm --name myapplication petrakimovdocker/skillboxapp:latest
ExecStop=/usr/bin/docker stop -t 2 myapplication

[Install]
WantedBy=multi-user.target